std::isinf(3)

NAME
std::isinf - std::isinf

Synopsis
   Defined in header <cmath>
   bool isinf( float arg ); (1) (since C++11)
                        (constexpr since C++23)
   bool isinf( double arg ); (2) (since C++11)
                        (constexpr since C++23)
   bool isinf( long double arg ); (3) (since C++11)
                        (constexpr since C++23)
   bool isinf( IntegralType arg ); (4) (since C++11)
                        (constexpr since C++23)
   1-3) Determines if the given floating-point number arg is a positive or negative
   infinity.
   4) A set of overloads or a function template accepting the arg argument of any
   integral type. Equivalent to (2) (the argument is cast to double).

Parameters
   arg - floating point value

Return value
   true if arg is infinite, false otherwise

Example
// Run this code
 #include <iostream>
 #include <cmath>
 #include <cfloat>
 int main()
 {
     std::cout << std::boolalpha
               << "isinf(NaN) = " << std::isinf(NAN) << '\n'
               << "isinf(Inf) = " << std::isinf(INFINITY) << '\n'
               << "isinf(0.0) = " << std::isinf(0.0) << '\n'
               << "isinf(exp(800)) = " << std::isinf(std::exp(800)) << '\n'
               << "isinf(DBL_MIN/2.0) = " << std::isinf(DBL_MIN/2.0) << '\n';
 }

Output:
 isinf(NaN) = false
 isinf(Inf) = true
 isinf(0.0) = false
 isinf(exp(800)) = true
 isinf(DBL_MIN/2.0) = false

See also
   fpclassify categorizes the given floating-point value
   (C++11) (function)
   isfinite checks if the given number has finite value
   (C++11) (function)
   isnan checks if the given number is NaN
   (C++11) (function)
   isnormal checks if the given number is normal
   (C++11) (function)